<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PersonSelection_V6 StructType
 * @subpackage Structs
 */
class PersonSelection_V6 extends PersonSelection_V5
{
    /**
     * The IncludeSocialInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $IncludeSocialInfo;
    /**
     * Constructor method for PersonSelection_V6
     * @uses PersonSelection_V6::setIncludeSocialInfo()
     * @param bool $includeSocialInfo
     */
    public function __construct($includeSocialInfo = null)
    {
        $this
            ->setIncludeSocialInfo($includeSocialInfo);
    }
    /**
     * Get IncludeSocialInfo value
     * @return bool
     */
    public function getIncludeSocialInfo()
    {
        return $this->IncludeSocialInfo;
    }
    /**
     * Set IncludeSocialInfo value
     * @param bool $includeSocialInfo
     * @return \StructType\PersonSelection_V6
     */
    public function setIncludeSocialInfo($includeSocialInfo = null)
    {
        // validation for constraint: boolean
        if (!is_null($includeSocialInfo) && !is_bool($includeSocialInfo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($includeSocialInfo, true), gettype($includeSocialInfo)), __LINE__);
        }
        $this->IncludeSocialInfo = $includeSocialInfo;
        return $this;
    }
}
